"""
Главный тип графики
"""

from pakApp.pakIFace import IGui


class Gui(IGui):
    """
    Интерфейс к графической части приложения
    """

    def __init__(self) -> None:
        print("Gui._init__()")
        IGui.__init__(self)

    def run(self) -> None:
        """
        Запускает приложение в работу
        """
        print("Gui.run()")
        raise NotImplementedError("Not implemented")
